Package: org.codehaus.groovy.util

## [Java] Enum ReferenceType

- org.codehaus.groovy.util.ReferenceType

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `HARD` |
    `PHANTOM` |
    `SOFT` |
    `WEAK` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected Reference<T, V>` | `createReference(T value, V handler, ReferenceQueue queue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### ReferenceType HARD

    - #### ReferenceType PHANTOM

    - #### ReferenceType SOFT

    - #### ReferenceType WEAK

  - ### Method Detail

    - #### protected Reference<T, V> createReference(T value, V handler, ReferenceQueue queue)